
/* Beispiel Manipulation der Daten ueber Operation und Result 

   Hier in diesem Beispiel werden beim Anlegen oder Aendern des 
   Datensatzes Datum, Zeit und Userinformationen im Datensatz 
   aufgenommen umd die Manipulation zu Dokumentieren.

*/

/* Ob Operation und Result ausgefuehrt werden soll muss in der project.ini festgelegt werden

   z.B. fuer die Geraetestammdatenbank 

   Die vorhandene Sektion erweitern wenn nicht vorhanden, nur dann neu anlegen!!

   [DataBaseDeviceCfg]
   Operation1=SCRIPT
   Result1=DatenProtokoll

   Unter Operation wird das Schluesselwort "SCRIPT" angegeben, welches festlegt das ein Script ausgefuehrt werden soll.
   Unter Result wird der Name des Scripts angegeben welches ausgefuehrt werden soll.  

*/

sub Datenprotokoll (char aktuellerDatensatz)

  char  loginName    [128];
  char  loginStation [128];
  char  aktDate       [32];
  char  aktTime       [32];

  short codeNoDate;
  short codeNoTime;
  short codeNoUser;
  short posCodeNoDate;
  short posCodeNoTime;
  short posCodeNoUser;
  
  os username (loginName);    /* Nur der Anmeldename                 */
  os station  (loginStation); /* Rechner und Anmeldename             */

  get fdate (aktDate);
  get ftime (aktTime);

  /* Hier die eigenen zu verwendenen Codenummern festlegen           */ 
  codeNoDate = [4991];
  codeNoTime = [4992];
  codeNoUser = [4993];

  /* Position der Codenummern ermitteln die manipuliert werden sollen */
  status get_field_no (codeNoDate,posCodeNoDate);
  status get_field_no (codeNoTime,posCodeNoTime);
  status get_field_no (codeNoUser,posCodeNoUser);

  if (posCodeNoDate and posCodeNoTime and posCodeNoUser) /* Alle Codenummern vorhanden ?? Wenn ja dann den Datensatz manipulieren */
     /* Feldlaengen bei der Zuweisung beachten bei zu langen Zuweisungen erfolgt eine Fehlermeldung                               */
     aktuellerDatensatz[posCodeNoDate] = aktDate; 
     aktuellerDatensatz[posCodeNoTime] = aktTime; 
     aktuellerDatensatz[posCodeNoUser] = loginStation; /* Wahlweise auch nur der Anmeldename "loginName"                          */
  endif

subend

